﻿@using AutoMotori.Models
@model AutoMotori.ViewModels.AutomobilTipMotoraViewModel

@{
    ViewBag.Title = "Create";
}
<script src="~/Scripts/editFormJS.js"></script>

<h2>Create</h2>

<form onsubmit="return posalji(this)">
    <div class="form-horizontal">
        <h4>Product</h4>
        <hr />
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Proizvodjac) <br />
            <input type="text" name="Automobil.Proizvodjac" />
            <span id="proizvodjacSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Model) <br />
            <input type="text" name="Automobil.Model" />
            <span id="modelSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Godiste) <br />
            <input type="text" name="Automobil.Godiste" />
            <span id="godisteSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Zapremina) <br />
            <input type="text" name="Automobil.Zapremina" />
            <span id="zapreminaSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.Automobil.Boja) <br />
            <input type="text" name="Automobil.Boja" />
            <span id="bojaSpan" style="color:red"></span>
        </div>
        <div class="form-group">
            @Html.Label("Tip Motora")
            <select name="Automobil.TipMotora.Id">
                @foreach (var item in Model.TipoviMotora)
                {
                    <option value="@item.Id">@item.Naziv</option>
                }
            </select>

        </div>
        <div class="form-group">
            <input type="submit" value="Save Changes" class="btn btn-default" />
        </div>
    </div>
</form>

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}